Skip to main content

List all orders

GET https://pos.paysera.com/eapi/v1/orders

Retrieve a paginated list of orders with optional filtering.

Filtering Options​

  • Date range (creation and update dates)
  • Order status
  • Order numbers

Pagination​

Use page and pageSize parameters to navigate through results.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Query Parameters​

NameTypeRequiredDescription
pageSizeintegerNumber of items per page (min: 1, max: 100)
pageintegerThe current page number (min: 1)
createdAtFromstringFilter orders created on or after the specified UTC timestamp
createdAtTostringFilter orders created on or before the specified UTC timestamp
updatedAtFromstringFilter orders updated on or after the specified UTC timestamp
updatedAtTostringFilter orders updated on or before the specified UTC timestamp
statusarrayFilter orders by a list of order numbers. Example: status[]=waiting_payment&numbers[]=paid
numbersarrayFilter orders by a list of order number. Example: numbers[]=123456&numbers[]=789012
searchstringKeyword search narrowing the result by a partial order number or customer name (first name, last name or company name). Combines with the other filters using…

Keyword search narrowing the result by a partial order number or customer name (first name, last name or company name). Combines with the other filters using AND. Example: search=104

Errors​

This endpoint may return the following errors:

400 - Bad Request​

The request was invalid or cannot be served.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

The requested resource could not be found.

405 - Method Not Allowed​

The requested HTTP method is not allowed for this resource.

422 - Unprocessable Entity​

Semantic error

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

GET https://pos.paysera.com/eapi/v1/orders?pageSize=10&page=1&createdAtFrom=2023-01-01T00:00:00Z&createdAtTo=2023-12-31T23:59:59Z&updatedAtFrom=2023-01-01T00:00:00Z&updatedAtTo=2023-12-31T23:59:59Z
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

{
"itemsTotal": 1,
"pagesTotal": 1,
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"number": "123456",
"status": "waitingPayment",
"currency": "EUR",
"languageCode": "en",
"expiresAt": "2024-11-04T10:15:30Z",
"createdAt": "2024-11-04T10:15:30Z",
"updatedAt": "2024-11-04T10:15:30Z",
"advancePayment": false,
"customer": {
"firstName": "John",
"lastName": "Doe",
"companyName": "Acme Inc.",
"companyCode": "123456789",
"companyVat": "LT123456789",
"email": "john.doe@example.com",
"languageCode": "en",
"billingAddress": {
"phone": "+1-555-123-4567",
"address1": "123 Main St",
"address2": "Apt 4B",
"zip": "LT12345",
"city": "Anytown",
"country": "US"
}
},
"orderPositions": [
{
"title": "string",
"productSKU": "123abc",
"quantity": 0,
"refundQuantity": "string",
"price": {
"total": "74.99",
"refundTotal": "0.00",
"totalAfterRefund": "74.99",
"unit": {
"regular": "89.99",
"special": "79.99",
"discount": "5.00",
"cost": "60.00"
}
},
"tax": {
"taxRate": 21,
"taxClassifier": "PVM1"
}
}
],
"payments": [
{
"cashRegisterNumber": "CR-000000001",
"paymentMethod": "cash",
"transactionId": "string",
"amount": "100.00",
"payoutAmount": "25.01",
"advancePayment": 0,
"createdAt": "2024-11-04T10:15:30Z",
"updatedAt": "2024-11-04T10:15:30Z"
}
],
"totals": {
"subtotal": "74.99",
"shippingPrice": "string",
"paymentPrice": "string",
"discount": "5.00",
"total": "74.99",
"totalRefunded": "0.00",
"totalAfterRefund": "74.99"
}
}
],
"links": {
"first": {
"href": "string"
},
"last": {
"href": "string"
},
"next": {
"href": "string"
},
"prev": {
"href": "string"
},
"self": {
"href": "string"
}
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com
Query Parameters
status
Filter orders by a list of order numbers. Example: status[]=waiting_payment&numbers[]=paid
numbers
Filter orders by a list of order number. Example: numbers[]=123456&numbers[]=789012
search
Keyword search narrowing the result by a partial order number or customer name (first name, last name or company name). Combines with the other filters using AND. Example: search=104

RESPONSE

Successful Response
{
"itemsTotal": 1,
"pagesTotal": 1,
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"number": "123456",
"status": "waitingPayment",
"currency": "EUR",
"languageCode": "en",
"expiresAt": "2024-11-04T10:15:30Z",
"createdAt": "2024-11-04T10:15:30Z",
"updatedAt": "2024-11-04T10:15:30Z",
"advancePayment": false,
"customer": {
"firstName": "John",
"lastName": "Doe",
"companyName": "Acme Inc.",
"companyCode": "123456789",
"companyVat": "LT123456789",
"email": "john.doe@example.com",
"languageCode": "en",
"billingAddress": {
"phone": "+1-555-123-4567",
"address1": "123 Main St",
"address2": "Apt 4B",
"zip": "LT12345",
"city": "Anytown",
"country": "US"
}
},
"orderPositions": [
{
"title": "string",
"productSKU": "123abc",
"quantity": 0,
"refundQuantity": "string",
"price": {
"total": "74.99",
"refundTotal": "0.00",
"totalAfterRefund": "74.99",
"unit": {
"regular": "89.99",
"special": "79.99",
"discount": "5.00",
"cost": "60.00"
}
},
"tax": {
"taxRate": 21,
"taxClassifier": "PVM1"
}
}
],
"payments": [
{
"cashRegisterNumber": "CR-000000001",
"paymentMethod": "cash",
"transactionId": "string",
"amount": "100.00",
"payoutAmount": "25.01",
"advancePayment": 0,
"createdAt": "2024-11-04T10:15:30Z",
"updatedAt": "2024-11-04T10:15:30Z"
}
],
"totals": {
"subtotal": "74.99",
"shippingPrice": "string",
"paymentPrice": "string",
"discount": "5.00",
"total": "74.99",
"totalRefunded": "0.00",
"totalAfterRefund": "74.99"
}
}
],
"links": {
"first": {
"href": "string"
},
"last": {
"href": "string"
},
"next": {
"href": "string"
},
"prev": {
"href": "string"
},
"self": {
"href": "string"
}
}
}